
Foreman - Bug #2785

clone method in managed.rb causes infinite loop

07/14/2013 10:32 AM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Host creation   

Target version: 1.5.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1107715 Red Hat JIRA:  

Pull request:    

Description

Do we even need this overwrite the rails clone method anyway?  The clone method in hosts_controller does not use the model

method.

Related issues:

Related to Foreman - Bug #7407: Cloning a hostgroup do not clone Puppet class... Closed 09/11/2014

Associated revisions

Revision e67fc0bd - 05/01/2014 10:35 AM - Joseph Magen

fixes #2785 - host model clone method also copies relationships using deep_cloneable gem

Revision 68561700 - 06/11/2014 01:02 PM - Joseph Magen

fixes #2785 - host model clone method also copies relationships using deep_cloneable gem

(cherry picked from commit e67fc0bd5a4c827c225ab10c7f75ea0264701f42)

History

#1 - 04/29/2014 11:55 AM - Joseph Magen

- Description updated

host clone method in managed.rb is not used.  There is a clone method in host_controller that is used.

#2 - 04/29/2014 01:22 PM - Joseph Magen

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1411

#3 - 04/29/2014 01:24 PM - Dominic Cleal

- Category set to Host creation

- Target version set to 1.8.3

#4 - 05/01/2014 10:39 AM - Dominic Cleal

- translation missing: en.field_release set to 16

#5 - 05/01/2014 11:31 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e67fc0bd5a4c827c225ab10c7f75ea0264701f42.

#6 - 06/10/2014 12:57 PM - Bryan Kearney
https://github.com/theforeman/foreman/pull/1411
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/e67fc0bd5a4c827c225ab10c7f75ea0264701f42


- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1107715

#7 - 09/11/2014 08:40 AM - Dominic Cleal

- Related to Bug #7407: Cloning a hostgroup do not clone Puppet classes and parameters added
